This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 190367 - Review Request: PyKDE: Python bindings for KDE
Review Request: PyKDE: Python bindings for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-01 13:33 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 08:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2006-05-01 13:34:20 EDT
For devel/fc6 branch only, since it requires sip >= 4.4.3
Comment 2 Rex Dieter 2006-05-12 13:38:08 EDT
Spec URL:
http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/PyKDE-3.15.2-0.4.20060422.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/PyKDE-3.15.2-0.4.20060422.src.rpm

%changelog
* Fri May 12 2006 Rex Dieter 3.15.2-0.3.20060422
- drop sip-abi crud, rely (only) on
  Requires: PyQt
Comment 3 Michael J Knox 2006-07-20 22:48:24 EDT
Seeing how this has been sitting for a bit, I will do the review. 

Review for release 0.4.20060422:

* Source PyKDE-snapshot20060422.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of PyKDE-devel looks OK
* rpmlint of PyKDE looks OK
* File list of PyKDE-devel looks OK
* File list of PyKDE looks OK

Needs work:
* Package does not follow Fedora's package naming guildlines
  (wiki: PackageNamingGuidelines)

I am not certain, but the package naming guidelines talk about the use of cvs in
the snapshot version. I noticed this is an upstream snapshot, so I am not sure
if this applies. 

* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)

There is a COPYING in the tarball, it should be added to the %docs

This package is also GPL not MIT. 

Minor:
* Duplicate BuildRequires: python-devel (by sip-devel), sip-devel (by PyQt-devel)

Comment 4 Rex Dieter 2006-07-21 07:26:39 EDT
> * Package does not follow Fedora's package naming guildlines

IMO, it does, since as you noted, this is an upstream snapshot.

> * Duplicate BuildRequires: python-devel (by sip-devel), sip-devel (by 
> PyQt-devel)

this package directly uses the items used in the BuildRequires, and it's not
wise to rely upon implied dependancies of other pkgs.
Comment 5 Rex Dieter 2006-07-21 07:32:27 EDT
Spec URL:
http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/PyKDE.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/PyKDE-3.15.2-0.5.20060422.src.rpm

%changelog
* Fri Jul 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.15.2-0.5.20060422
- %%doc AUTHORS COPYING
- License: GPL
Comment 6 Michael J Knox 2006-07-21 17:22:09 EDT
OK, thats what I thought re "cvs". 

As for the BR. I kinda disagree, as we rely on implied depends everwhere else.
However, its not a blocker, so consider it APPROVED. 

Please remember to close this review once imported into CVS. 
Comment 7 Rex Dieter 2006-07-24 08:35:35 EDT
Thanks, importing...

Note You need to log in before you can comment on or make changes to this bug.